Reference record for OID 1.3.6.1.4.1.3582

Parent
1.3.6.1.4.1 (enterprise, enterprises, ldap-enterprise, vendor-objects)
Node code
3582
Node names
  • lsi
  • perc
  • lsiSwitchRegModule
Numeric OID
1.3.6.1.4.1.3582
URN notation
urn:oid:1.3.6.1.4.1.3582
Type
OBJECT IDENTIFIER
ASN.1 notation

{1 3 6 1 4 1 3582}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) lsiSwitchRegModule(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) lsiSwitchRegModule(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) lsiSwitchRegModule(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) lsiSwitchRegModule(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) lsi(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) perc(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) lsiSwitchRegModule(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) lsi(3582)}
  • Additional combinations skipped.
OID-IRI notation
  • /1/3/6/1/4/1/3582
  • /ISO/Identified-Organization/6/1/4/1/3582
  • /ISO/3/6/1/4/1/3582
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/lsi
  • /iso/identified-organization/dod/internet/private/enterprise/perc
  • /iso/identified-organization/dod/internet/private/enterprise/lsiSwitchRegModule
  • /iso/identified-organization/dod/internet/private/enterprises/lsi
  • /iso/identified-organization/dod/internet/private/enterprises/perc
  • /iso/identified-organization/dod/internet/private/enterprises/lsiSwitchRegModule
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/lsi
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/perc
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/lsiSwitchRegModule
  • /iso/identified-organization/dod/internet/private/vendor-objects/lsi
  • /iso/identified-organization/dod/internet/private/vendor-objects/perc
  • /iso/identified-organization/dod/internet/private/vendor-objects/lsiSwitchRegModule
  • /iso/org/dod/internet/private/enterprise/lsi
  • /iso/org/dod/internet/private/enterprise/perc
  • /iso/org/dod/internet/private/enterprise/lsiSwitchRegModule
  • /iso/org/dod/internet/private/enterprises/lsi
  • Additional combinations skipped.

Descriptions

Descriptions may differ between sources. The primary description is shown first.

Primary description: OID Repository

IANA Private Enterprise Numbers

LSI Logic

lsiSwitchRegModule — LSI SAS6160 MIB with qualified omitted root

This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation.

Source records

lsiSwitchRegModule

Status in source: unspecified.

Names: lsiSwitchRegModule

Technical details
{
  "smi_kind": "MODULE-IDENTITY",
  "definition": [
    "lsiSwitchRegModule",
    "MODULE-IDENTITY",
    "LAST-UPDATED",
    [
      "literal",
      "223230313030353132303030305a22"
    ],
    "ORGANIZATION",
    "\"LSI, Corp.\"",
    "CONTACT-INFO",
    "\"Customer Technical Support LSI Corporation Web: www.lsi.com\"",
    "DESCRIPTION",
    "\"This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation.\"",
    "REVISION",
    [
      "literal",
      "223230313030353132303030305a22"
    ],
    "DESCRIPTION",
    "\"Initial revision\"",
    "::=",
    "{",
    "enterprises",
    "3582",
    "}"
  ],
  "syntax_tree": [
    [
      "LAST-UPDATED",
      "201005120000Z"
    ],
    [
      "ORGANIZATION",
      "LSI, Corp."
    ],
    [
      "CONTACT-INFO",
      "Customer Technical Support LSI Corporation Web: www.lsi.com"
    ],
    [
      "DESCRIPTION",
      "This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation."
    ],
    [
      "Revisions",
      [
        [
          "201005120000Z",
          [
            "DESCRIPTION",
            "Initial revision"
          ]
        ]
      ]
    ]
  ]
}
  • LSI SAS6160 MIB with qualified omitted root · Publisher's source file: Source package: SNMPMIBs.zip

    Module: LSI-SAS6160-MIB

    Published definition
    lsiSwitchRegModule MODULE-IDENTITY
        LAST-UPDATED "201005120000Z"
        ORGANIZATION "LSI, Corp."
        CONTACT-INFO "Customer Technical Support
                      LSI Corporation
                      Web: www.lsi.com"
    
        DESCRIPTION "This MIB defines the high level nodes for LSI switch MIBs.
                     It maintains the high level portion of the LSI switch OID
                     tree, and is imported by all LSI switch MIBs.
    
                     Copyright (c) 2010 LSI Corporation."
    
        REVISION    "201005120000Z" -- 12 MAY 2010
        DESCRIPTION "Initial revision"
    
        ::= {enterprises 3582}
    Module imports
    {'SNMPv2-TC': ['DisplayString', 'DateAndTime'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'OBJECT-IDENTITY', 'OBJECT-TYPE', 'NOTIFICATION-TYPE', 'Unsigned32'], 'RFC1213-MIB': ['system'], 'LSI-TEXTUAL-CONVENTION-MIB': ['lsiTcModule', 'SasAddress']}

    Source data warning: The published LSI SAS6160 MIB uses enterprises without importing it. This qualified interpretation uses the standard enterprise root from RFC 1155, while the original MIB defines enterprise 3582. Fujitsu distributes this LSI copy; applicability to a particular device or firmware is unconfirmed. Its imported LSI textual conventions are not present in the package and their type semantics were not independently verified. The MIB and source package are available for verification.

    · Download LSI SAS6160 MIB — saved edition 1

    Related source files and packages:


    Source location: LSI-SAS6160-MIB::lsiSwitchRegModule.
    Source version and references

    The published LSI SAS6160 MIB uses enterprises without importing it. This qualified interpretation uses the standard enterprise root from RFC 1155, while the original MIB defines enterprise 3582. Fujitsu distributes this LSI copy; applicability to a particular device or firmware is unconfirmed. Its imported LSI textual conventions are not present in the package and their type semantics were not independently verified. The MIB and source package are available for verification.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 30,286 bytes

    Downloaded: 2026-11-03T07:10:57.991843+00:00.

perc

Status in source: unspecified.

Names: perc

Technical details
{
  "smi_kind": "OBJECT IDENTIFIER",
  "definition": [
    "perc",
    "OBJECT",
    "IDENTIFIER",
    "::=",
    "{",
    "enterprises",
    "3582",
    "}"
  ]
}
  • Preserved mibdepot archive

    Module: RAID-Adapter-MIB

    Published definition
    perc OBJECT IDENTIFIER ::= { enterprises 3582 }
    Module imports
    {'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['enterprises', 'Counter'], 'RFC1213-MIB': ['DisplayString']}
    · Download Perc.mib.txt
    Source location: RAID-Adapter-MIB::perc.
    Source version and references

    Archived: 2026-10-19T00:22:08.972344+00:00.

Information from MIBdepot

Source file: Download MEGARAID.MIB.txt

File: lsi/MEGARAID.MIB.txt; 60,588 bytes

lsi OBJECT IDENTIFIER ::= { enterprises 3582 }

Information from Circitor

Source file: Download ServerView MIB copy — LSIRAID-IDE.MIB (saved edition 1) · Publisher's file

Module LSIRAID-IDE-MIB; IANA enterprise number(s) 3582. MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 30,545 bytes

Related source files and packages:

Source data warning: MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.

Source file: Download ServerView MIB copy — LSI1030.MIB (saved edition 1) · Publisher's file

Module Adapter-1030-MIB; IANA enterprise number(s) 3582. MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 33,729 bytes

Source file: Download LSI-MegaRAID-SAS-MIB · Publisher's file

Copy from LibreNMS; 225,807 bytes

Vendor MIB copy from the LibreNMS archive.

Related source files and packages:

Source file: Download LSI-MegaRAID-SAS-MIB · Publisher's file

Copy from Observium Community; File: lsi/LSI-MegaRAID-SAS-MIB; 225,807 bytes

Vendor MIB copy from the Observium Community archive.

Related source files and packages:

Source file: Download LSI-megaRAID-SAS-IR-MIB · Publisher's file

Copy from Observium Community; File: lsi/LSI-megaRAID-SAS-IR-MIB; 165,032 bytes

Vendor MIB copy from the Observium Community archive.

Source file: Download RAID-Adapter-MIB.mib

Publisher path: Mibs; 60,628 bytes

lsi OBJECT IDENTIFIER ::= { enterprises 3582 }

First Registration Authority

Wisniewski Ken

Direct children (6)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.3582.1 percRAID, megaRaid1220
1.3.6.1.4.1.3582.2 lsiRAID192
1.3.6.1.4.1.3582.3 megaIDE185
1.3.6.1.4.1.3582.4 storageComponents1623
1.3.6.1.4.1.3582.5 lsiStorageComponents1471
1.3.6.1.4.1.3582.200 lsiSwitchFamily177

Siblings (67350)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.20901 2090100 Virtual Business Communities Inc.
1.3.6.1.4.1.20902 2090200 johnstonshome.org
1.3.6.1.4.1.20903 2090300 Children's Hospital - Boston
1.3.6.1.4.1.20904 2090400 Risolviamo
1.3.6.1.4.1.20905 2090500 Unicible S.A.
1.3.6.1.4.1.20906 2090600 Cubika S.A.
1.3.6.1.4.1.20907 2090700 Regent College
1.3.6.1.4.1.20908 2090800 Emergin, Inc.
1.3.6.1.4.1.20909 2090900 Exempla Healthcare
1.3.6.1.4.1.20910 2091000 PT OneHUB Technology
1.3.6.1.4.1.20911 2091100 twilley.org
1.3.6.1.4.1.20912 2091200 Publishing firm "Vidrodzhenia" Ltd.
1.3.6.1.4.1.20913 2091300 OJSC RTComm.RU
1.3.6.1.4.1.20914 2091400 Deutsche Telekom - CSC Wuerzburg
1.3.6.1.4.1.20915 2091500 NATIONAL-BANK AG, Essen
1.3.6.1.4.1.20916 20916, avtech11688 AVTECH Software, Inc.
1.3.6.1.4.1.20917 2091700 FondsServiceBank
1.3.6.1.4.1.20918 2091800 Wicked Studio
1.3.6.1.4.1.20919 2091900 Manobi
1.3.6.1.4.1.20920 2092000 PKWARE, Inc.
1.3.6.1.4.1.20921 2092100 Hillstone Products Ltd
1.3.6.1.4.1.20922 2092200 Pro Dimension Ltd.
1.3.6.1.4.1.20923 2092300 Myxomop
1.3.6.1.4.1.20924 2092400 Proyecto OTF U.de.Chile
1.3.6.1.4.1.20925 2092500 Baker & McKenzie
1.3.6.1.4.1.20926 2092600 Mase Technologies, LLC
1.3.6.1.4.1.20927 2092700 TSI Sports Incorporated
1.3.6.1.4.1.20928 2092800 Tangent Systems
1.3.6.1.4.1.20929 2092900 SYSGO AG
1.3.6.1.4.1.20930 2093000 René Alegría Sáez
1.3.6.1.4.1.20931 2093100 Software Builders Exchange
1.3.6.1.4.1.20932 2093200 yobe.org
1.3.6.1.4.1.20933 2093300 Tomsk State University of Control Systems and Radioelectronics
1.3.6.1.4.1.20934 2093400 ITdesign software projects and consulting
1.3.6.1.4.1.20935 2093500 Anystream, Inc.
1.3.6.1.4.1.20936 2093600 China COMMUNICATIONS STANDARDS ASSOCIATIONS
1.3.6.1.4.1.20937 2093700 Nimrod AS
1.3.6.1.4.1.20938 2093800 ETL Systems Ltd.
1.3.6.1.4.1.20939 2093900 videoNEXT LLC
1.3.6.1.4.1.20940 2094000 The eBiz Shop, LLC.
1.3.6.1.4.1.20941 2094100 Palo Alto Research Center, Inc.
1.3.6.1.4.1.20942 2094200 China Telecom-Guangzhou Research and Development Center
1.3.6.1.4.1.20943 2094300 QOSMOS SA
1.3.6.1.4.1.20944 2094400 Modular Blade Server
1.3.6.1.4.1.20945 2094500 East Online, LLC
1.3.6.1.4.1.20946 2094600 BDM Business Data Management GmbH
1.3.6.1.4.1.20947 2094700 Cox Communications San Diego
1.3.6.1.4.1.20948 2094800 manzanita Inc.
1.3.6.1.4.1.20949 2094900 Anadarko Petroleum Inc.
1.3.6.1.4.1.20950 2095000 Interhack Corporation